# Download Attachments

> Source: https://truto.one/docs/api-reference/unified-ticketing-api/attachments/download/

`POST /unified/ticketing/attachments/download`

Resource: **Attachments** · API: **Unified Ticketing API**

## Supported integrations

Accelo, Asana, Azure DevOps, Bitbucket, BMC Helix, ClickUp, Dixa, Freshdesk, Freshservice, Front, Gorgias, Help Scout, Helpshift, Hive, HubSpot, Intercom, Jira, Jira Service Management, Kustomer, Linear, LiveAgent, Microsoft 365, Microsoft Planner, Missive, Monday.com, Pivotal Tracker, Podium, Puzzel Case Management, Richpanel, Salesforce, ServiceNow, servicenowitsm, Shortcut, SolarWinds Service Desk, SurveySparrow Ticket Management, Teamwork Project Management, Todoist, Trello, Trengo, Wrike, YouTrack, Zendesk, Zoho Desk

## Query parameters

- **`integrated_account_id`** _(string, required)_
  The ID of the integrated account to use for the request.
- **`truto_response_format`** _(string)_
  The format of the response. - `unified` returns the response with unified mappings applied. - `raw` returns the unprocessed, raw response from the remote API. - `normalized` applies the unified mappings and returns the data in a normalized format. - `stream` returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory. Defaults to `unified`.
  Allowed: `unified`, `raw`, `normalized`, `stream`
- **`truto_ignore_remote_data`** _(boolean)_
  Excludes the `remote_data` attribute from the response.
- **`truto_exclude_fields`** _(array<string>)_
  Array of fields to exclude from the response.
- **`remote_query`** _(object)_
  Query parameters to pass to the underlying API without any transformations. Refer [this guide](https://truto.one/docs/api-reference/overview/querying#remote-query-parameters) to see how to structure the query parameters.
- **`file_url`** _(string)_
  The URL to download the attachment
- **`id`** _(string)_
  The unique identifier for the attachment

## Request body

- **`remote_data`** _(object)_
  Any additional data that should be passed as part of the request body. This data is not transformed by Truto and is passed as is to the remote API.

## Response body

- **`id`** _(string)_
  The unique identifier for the attachment
- **`file_name`** _(string)_
  The attachment's name.
- **`ticket_id`** _(string)_
  The ticket id to which the attachment belongs
- **`size`** _(number)_
  The file size in bytes
- **`file_url`** _(string)_
  The URL to download the attachment
- **`content_type`** _(string)_
  The content type of the attachment
- **`uploaded_by`** _(string)_
  The user who uploaded the attachment
- **`uploaded_by_type`** _(string)_
  The type of the user who uploaded the attachment
- **`created_at`** _(string)_
  The time when the attachment was created
- **`updated_at`** _(string)_
  The time when the attachment was updated
- **`etag`** _(string)_
  The unique identifier for the specific version of the resource.
- **`remote_data`** _(object)_
  Raw data returned from the remote API call.

## Code examples

### curl

```bash
curl -X POST 'https://api.truto.one/unified/ticketing/attachments/download?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json' \
  -d '{
  "remote_data": {}
}'
```

### JavaScript

```javascript
const integratedAccountId = '<integrated_account_id>';

const body = {
  "remote_data": {}
};

const response = await fetch(`https://api.truto.one/unified/ticketing/attachments/download?integrated_account_id=${integratedAccountId}`, {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify(body),
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

url = "https://api.truto.one/unified/ticketing/attachments/download"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}
payload = {
    "remote_data": {}
}

response = requests.post(url, headers=headers, params=params, json=payload)
print(response.json())
```

### Truto TS SDK

```typescript
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

// Custom method: download
const result = await truto.unifiedApi.download(
  'ticketing',
  'attachments',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
```

### Truto Python SDK

```python
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    # Custom method: download
    result = await truto_api.unified_api.download(
        "ticketing",
        "attachments",
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())
```
